<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui">

    <f:view contentType="text/html">
        <h:head>
        </h:head>
        <h:body>
            calendar tests <br/>
            este solo deja meter fechas mayores o iguales que la actual

            <br/>

            <p:ajaxStatus style="width:16px;height:16px;">
                <f:facet name="start">
                    <h:graphicImage value="../images/ajaxloadingbar.gif" />
                </f:facet>

                <f:facet name="complete">
                    <h:outputText value="" />
                </f:facet>
            </p:ajaxStatus>

            <p:messages id="msgs" showDetail="false" globalOnly="false" />

            <h:form prependId="false" id="form1">

                <p:calendar id="fechaComisionNueva" navigator="true" maxlength="10" size="10" pattern="dd/MM/yyyy"
                            effect="explode" popupIconOnly="true" title="dd/mm/yyyy"
                            value="#{calendar.fecha}" styleClass="outputLabelStyle"
                            required="true" tabindex="0" mindate="#{calendar.currentDate}">
                    <f:convertDateTime pattern="#{general.formatoFechaUsuario}" type="date"/>
                </p:calendar>

                <p:commandButton value="dele" action="#{calendar.validarFecha}" 
                                 update="displaySingle, msgs" immediate="false" oncomplete="dwv.show()">
                </p:commandButton>


                <p:dialog header="nameDialog" widgetVar="dwv" resizable="false"
                          width="250" showEffect="explode" hideEffect="explode">

                    <h:panelGrid id="displaySingle" columns="2" cellpadding="4">
                        <h:outputText value="#{calendar.fecha}" />
                    </h:panelGrid>
                </p:dialog>

            </h:form>



        </h:body>
    </f:view>
</html>